package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaAxWarehouseOutboundCallbackRequest struct {
	/*
	   出库回传     */
	TradeOutBoundCallBackRequest *domain.AlibabaAxWarehouseOutboundCallbackTopTradeOutBoundCallBackRequest `json:"trade_out_bound_call_back_request" required:"true" `
}

func (s *AlibabaAxWarehouseOutboundCallbackRequest) SetTradeOutBoundCallBackRequest(v domain.AlibabaAxWarehouseOutboundCallbackTopTradeOutBoundCallBackRequest) *AlibabaAxWarehouseOutboundCallbackRequest {
	s.TradeOutBoundCallBackRequest = &v
	return s
}

func (req *AlibabaAxWarehouseOutboundCallbackRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.TradeOutBoundCallBackRequest != nil {
		paramMap["trade_out_bound_call_back_request"] = util.ConvertStruct(*req.TradeOutBoundCallBackRequest)
	}
	return paramMap
}

func (req *AlibabaAxWarehouseOutboundCallbackRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
